Paytrie Developer Documentation
API ReferenceTransactions

List transactions for the user

GET
/transactions

Authorization

ApiKeyAuth BearerAuth
x-api-key<token>

API key for integrator authentication

In: header

AuthorizationBearer <token>

JWT token for user authentication

In: header

Query Parameters

limit?integer
offset?|

Header Parameters

x-api-key*string

API key for authentication

Authorization*string

JWT token from login endpoints

Response Body

application/json

application/json

import { PaytrieAPI, configure } from '@paytrie/sdk'configure({ headers: { 'x-api-key': process.env.PAYTRIE_API_KEY! } })const { data } = await PaytrieAPI.listTransactions({  limit: 50,  offset: 0})
{  "success": true,  "data": {    "items": [      {        "id": "3943bb00-1551-4f1d-bf32-2d82608bc15e",        "date": "2025-07-25T14:02:36.000Z",        "coin": "USDC",        "leftSideLabel": "CAD",        "leftSideValue": 500,        "rightSideLabel": "ETH-USDC",        "rightSideValue": 325.5,        "status": "complete",        "wallet": "0x756Fead01907b3c2173d148f9864d00fAd371AB6",        "paymentType": "interac",        "paymentId": "pay_123456789",        "rmtId": "CA1MRUaaErpx"      }    ],    "total": 200,    "limit": 50,    "offset": 0  }}
{  "success": false,  "errors": [    {      "field": "string",      "message": "string"    }  ]}